> ## Documentation Index
> Fetch the complete documentation index at: https://memos-api.openmem.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Chat with MemOS

> Chat with the MemOS system.



## OpenAPI

````yaml POST /chat
openapi: 3.1.0
info:
  title: MemOS REST APIs
  description: A REST API for managing and searching memories using MemOS.
  version: 1.0.0
servers: []
security: []
paths:
  /chat:
    post:
      summary: Chat with MemOS
      description: Chat with the MemOS system.
      operationId: chat_chat_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChatRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ChatRequest:
      properties:
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
          description: User ID for the request
          example: user123
        query:
          type: string
          title: Query
          description: Chat query message.
          example: What is the latest update?
      type: object
      required:
        - query
      title: ChatRequest
    ChatResponse:
      properties:
        code:
          type: integer
          title: Code
          description: Response status code
          default: 200
          example: 200
        message:
          type: string
          title: Message
          description: Response message
          example: Operation successful
        data:
          anyOf:
            - type: string
            - type: 'null'
          title: Data
          description: Response data
      type: object
      required:
        - message
      title: ChatResponse
      description: Response model for chat operations.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````